Home

ledger_current

POST
https://xrp.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the current working ledger index that is in the process of being built. This ledger is still open and accepting transactions, and has not yet been closed or validated. The contents of this ledger are subject to change until it is closed and validated.

Body

application/json

Returns the current working ledger index that is in the process of being built. This ledger is still open and accepting transactions, and has not yet been closed or validated. The contents of this ledger are subject to change until it is closed and validated.

JSON-RPC request payload.

methodstringledger_currentrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Response

200OK

HTTP 200 response for ledger_current. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.